## netrek-client-cow 3.2.9

=== Makefile ===
########################################################################
#  No editables below this point.                                      #
########################################################################

include key.mk

KEYGOD = clientkeys@clientkeys.netrek.org
MAIL   = mail

include $(KEYDEF)

PACKAGE=netrek-client-cow
VERSION=$(shell ./name)
DVERSION=$(shell head -1 debian/changelog|cut -f2 -d\(|cut -f1 -d\))

all: netrek-client-cow

netrek-client-cow: system.mk netrekI

netrekI::
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) netrek-client-cow

netrek.shared: name system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) S=SHARED netrek.shared

profile:
	$(MAKE) -f system.mk OPT="-ggdb3 -pg -a" EXTRALINKFLAGS="-ggdb3 -pg -a" KEYDEF=$(KEYDEF) netrek-client-cow

convert: mkkey $(KEYFILE) $(KEYSH)
	./mkkey -h $(KEYSH) $(KEYFILE) "Client Of Win" \
	$(DESC) $(MAKER) $(COMMENT)

newkey: mkkey
	./mkkey $(KEYFILE) "Client Of Win" $(DESC) $(MAKER) \
	 $(COMMENT) "inl,standard2"

mkkey: system.mk 
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) mkkey

clean:
	rm -f *.o $(OBJ) $(SHAREDTARGET)

reallyclean: clean
	rm -f netrek-client-cow randomize mkkey rsa_box*.c name mkcflags \
	config.h system.mk config.status config.log config.cache key.mail \
	null netrek.shared lib*

distclean: clean reallyclean

tags: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) tags

names: name
	@echo "PACKAGE=$(PACKAGE)"
	@echo "VERSION=$(VERSION)"
	@echo "PACKAGE_VERSION=$(PACKAGE)-$(VERSION)"
	@echo "DEBIAN_PACKAGE_VERSION=$(PACKAGE)-$(DVERSION)"

dist: name
	mkdir $(PACKAGE)-$(VERSION)
	tar cf - `cat manifest` | (cd $(PACKAGE)-$(VERSION);tar xf -)
	tar cvf - $(PACKAGE)-$(VERSION) | gzip -9 > $(PACKAGE)-$(VERSION).tar.gz
	rm -rf $(PACKAGE)-$(VERSION)

distdoc: name XTREKRC
	mkdir $(PACKAGE)-$(VERSION).doc
	tar cf - README.* COW.DOC CHANGES XTREKRC netrekrc.example \
		*.html *.css stars.gif | (cd $(PACKAGE)-$(VERSION).doc; tar xf -)
	tar cvf - $(PACKAGE)-$(VERSION).doc | gzip -9 > $(PACKAGE)-$(VERSION).doc.tar.gz
	rm -rf $(PACKAGE)-$(VERSION).doc

distbin: name netrek-client-cow
	-strip netrek-client-cow
	-rm -f $(PACKAGE)-$(VERSION).$(ARCH)
	cp netrek-client-cow $(PACKAGE)-$(VERSION).$(ARCH)
	-rm -f $(PACKAGE)-$(VERSION).$(ARCH).gz
	gzip -9 $(PACKAGE)-$(VERSION).$(ARCH)

distkey: netrek-client-cow $(KEYFILE)
	echo "This is an automatic generated mail." >key.mail
	echo "Please add the following $(ARCH) COW key to the metaserver:" >>key.mail
	echo "" >>key.mail
	cat $(KEYFILE) >>key.mail
	echo "" >>key.mail
	./netrek-client-cow -v >>key.mail
	cat key.mail | $(MAIL) $(KEYGOD)

name: name.c version.h patchlevel.h
	$(CC) $(CFLAGS) -o name name.c

depend: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) depend

system.mk: Makefile system.mk.in config.h.in configure install.sh $(KEYDEF)
	./configure $(CONFFLAGS)
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) depend

install.sh:
	touch install.sh

XTREKRC: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) xtrekrc
	mv xtrekrc XTREKRC	

configure: configure.in
	rm -f configure
	$(AUTOCONF) configure.in > configure
	chmod +x configure

unproto: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) unproto

proto: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) proto

indent: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) indent

to_unix: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) to_unix

to_dos: system.mk
	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) to_dos

install: netrek-client-cow $(KEYFILE)
	install netrek-client-cow $(DESTDIR)$(BINDIR)
	install $(KEYFILE) $(DESTDIR)$(LIBDIR)

package:
	fakeroot dpkg-buildpackage -Igtk -Ipygtk -Ipyqt

# targets specific to quozl
WWW=~/public_html/external/mine/netrek

upload:
	mv ../$(PACKAGE)_$(VERSION)*{.dsc,.changes,.tar.gz,.deb} $(WWW)

update:
	(cd $(WWW);make)

release: package upload update

## netrek-client-cow 3.3.0

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,11 @@
 PACKAGE=netrek-client-cow
 VERSION=$(shell ./name)
 DVERSION=$(shell head -1 debian/changelog|cut -f2 -d\(|cut -f1 -d\))
+
+DESTDIR=
+prefix=/usr/local
+LIBDIR=${prefix}/share/games/${PACKAGE}
+BINDIR=${prefix}/games
 
 all: netrek-client-cow
 
@@ -31,10 +36,9 @@
 	$(DESC) $(MAKER) $(COMMENT)
 
 newkey: mkkey
-	./mkkey $(KEYFILE) "Client Of Win" $(DESC) $(MAKER) \
-	 $(COMMENT) "inl,standard2"
+	until ./mkkey $(KEYFILE) "Client Of Win" $(DESC) $(MAKER) $(COMMENT) "inl,standard2"; do sleep 1; done
 
-mkkey: system.mk 
+mkkey: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) mkkey
 
 clean:
@@ -122,9 +126,15 @@
 to_dos: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) to_dos
 
-install: netrek-client-cow $(KEYFILE)
+install: netrek-client-cow
+	mkdir -p $(DESTDIR)$(BINDIR)
 	install netrek-client-cow $(DESTDIR)$(BINDIR)
+	mkdir -p $(DESTDIR)$(LIBDIR)
 	install $(KEYFILE) $(DESTDIR)$(LIBDIR)
+	mkdir -p $(DESTDIR)/usr/share/pixmaps/netrek-client-cow
+	cp -pr pixmaps/* $(DESTDIR)/usr/share/pixmaps/netrek-client-cow/
+	mkdir -p $(DESTDIR)/usr/share/applications
+	install netrek-client-cow.desktop $(DESTDIR)/usr/share/applications/
 
 package:
 	fakeroot dpkg-buildpackage -Igtk -Ipygtk -Ipyqt

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2007 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.17
GETTEXT_MACRO_VERSION = 0.17

PACKAGE = @PACKAGE@
VERSION = @VERSION@
PACKAGE_BUGREPORT = 

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = ${datarootdir}/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# @install_sh@ does not start with $(SHELL), so we add it.
# In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) @install_sh@ -d
install_sh = $(SHELL) @install_sh@
MKDIR_P = /bin/mkdir -p
mkdir_p = /bin/mkdir -p

GMSGFMT_ = /usr/bin/msgfmt
GMSGFMT_no = /usr/bin/msgfmt
GMSGFMT_yes = /usr/bin/msgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = /usr/bin/msgfmt
MSGFMT_no = /usr/bin/msgfmt
MSGFMT_yes = /usr/bin/msgfmt
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /usr/bin/xgettext
XGETTEXT_no = /usr/bin/xgettext
XGETTEXT_yes = /usr/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES = 
GMOFILES = 
UPDATEPOFILES = 
DUMMYPOFILES = 
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../main.c

CATALOGS = 

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Chris Guthrie, Kevin P. Smith, Scott Silvey, Eric Mehlhaff, Kevin Powell, Nick Trown, Jeff Nelson, Kurt Siegl, Lars Bernhardsson, Nathan Doss, Michael Kantner, James Cameron

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = netrek-dev@us.netrek.org

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: check-macro-version all-yes

all-yes: stamp-po
all-no:

# Ensure that the gettext macros and this Makefile.in.in are in sync.
check-macro-version:
	@test "$(GETTEXT_MACRO_VERSION)" = "0.17" \
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.17" 1>&2; \
	       exit 1; \
	     }

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
	  package_gnu='GNU '; \
	else \
	  package_gnu=''; \
	fi; \
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	  *) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --package-name="$${package_gnu}@PACKAGE@" \
	      --package-version='@VERSION@' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	esac
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:

=== debian/changelog ===
netrek-client-cow (3.3.0-3) unstable; urgency=low

  * Team upload.
  * Force --with-gmp, fixes FTBFS on ia64 and sparc.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 23 Jun 2011 12:42:15 +0200

netrek-client-cow (3.3.0-2) unstable; urgency=low

  * Team upload.

  [ Barry deFreese ]
  * Some packaging changes suggested by upstream.
    + Update package description.
    + Update debian/netrek-client-cow.6.
  * Bump Standards Version to 3.8.3. (No changes needed).

  [ Peter Pentchev ]
  * Add the 001-configure-gmp-version patch to fix the check for
    libgmp versions larger than 1.  Closes: #620528
  * Convert to the 3.0 (quilt) source format:
    - add the 002-make-reallyclean patch to really clean up after
      the build.
    - drop the build dependency on quilt
    - drop the quilt invocations from the rules file
  * Add the 003-typos patch to fix some typographical and grammatical
    errors.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Let the build system honor CPPFLAGS, CFLAGS and LDFLAGS
    - export them in the rules file
    - add the 004-honor-flags patch
  * Minimize the rules file using debhelper override targets.
  * Use dh --with autotools_dev to handle config.guess and config.sub.
  * Bump the debhelper compatibility level to 8 with no changes.
  * Depend on libgmp-dev instead of libgmp3-dev.
  * Use dpkg-buildflags to obtain the default values for CPPFLAGS,
    CFLAGS and LDFLAGS.
  * Pass --as-needed to the linker to avoid unneeded dependencies.
  * Convert the copyright file to the latest DEP 5 candidate format
    and add my copyright notice.
  * Build with -Werror if the "werror" build option is specified.
  * Harden the build unless the "nohardening" build option is specified.
  * Remove the 001_desktop_file patch that has not been applied ever
    since Barry deFreese's fix in rev. 9851.

  [ Evgeni Golov ]
  * Fix some typos in the Description.
    Closes: #624019

 -- Peter Pentchev <roam@ringlet.net>  Wed, 11 May 2011 14:13:39 +0300

netrek-client-cow (3.3.0-1) unstable; urgency=low

  [ Barry deFreese ]
  * New upstream release.
  * Install upstream desktop file. (Closes: #522587).
  * Add quilt patch system.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 16 Jun 2009 15:27:20 -0400

netrek-client-cow (3.2.10-1) unstable; urgency=low

  [ Barry deFreese ]
  * Move maintainer to Debian Games Team. (It should have been anyway).
  * New upstream release.
    + Fixes pointer coversions and other warnings. (Closes: #512463).
  * Change make install call. Remove BINDIR, add prefix=/usr.
  * Minor copyright syntax changes.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 18 Mar 2009 10:17:31 -0400

netrek-client-cow (3.2.9-1) unstable; urgency=low

  * New upstream release.
    + Resolve license issue.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 13 Jan 2009 14:30:56 -0500

netrek-client-cow (3.2.8.dak-1) unstable; urgency=low

  [ Barry deFreese ]
  * Move from section nonfree/x11 to proper games.
    + Should have never been in nonfree.
    + Repack orig.tar.gz to give new upstream version.
  * Add VCS tags.
  * Clean up long package description.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 23 Dec 2008 11:29:24 -0500

netrek-client-cow (3.2.8-1) unstable; urgency=low

  * Initial release (Closes: #500630).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 26 Sep 2008 21:44:49 -0400

=== debian/control ===
Source: netrek-client-cow
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~), hardening-includes, libsdl1.2-dev, libsdl-mixer1.2-dev, libgmp-dev, libxt-dev, libxxf86vm-dev, libimlib2-dev
Standards-Version: 3.9.2
Homepage: http://www.netrek.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/netrek-client-cow/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/netrek-client-cow/?op=log

Package: netrek-client-cow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: client for netrek online game
 This is a client for the multi-player game of Netrek.
 .
 Netrek is probably the first video game which can accurately be
 described as a "sport".  It has more in common with basketball than
 with arcade games or Quake.  Its vast and expanding array of tactics
 and strategies allows for many different play styles; the best
 players are the ones who think fastest, not necessarily the ones who
 twitch most effectively.  It can be enjoyed as a twitch game, since
 the dogfighting system is extremely robust, but the things that
 really set Netrek apart from other video games are the team and
 strategic aspects.  Team play is dynamic and varied, with roles
 constantly changing as the game state changes.  Strategic play is
 explored in organized league games; after 6+ years of league play,
 strategies are still being invented and refined.
 .
 The game was created in 1988, and still has players, including some
 people who have been playing for nearly as long as the game has
 existed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS:=	$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=	$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
EXTRACFLAGS+=	-Werror
endif

LDFLAGS+=	-Wl,-z,defs -Wl,--as-needed

include /usr/share/hardening-includes/hardening.make
ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
EXTRACFLAGS+=	$(HARDENING_CFLAGS)
LDFLAGS+=	$(HARDENING_LDFLAGS)
endif

export CPPFLAGS CFLAGS EXTRACFLAGS LDFLAGS

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share/games \
		--with-gmp

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
	chmod -x $(CURDIR)/debian/netrek-client-cow/usr/share/games/netrek-client-cow/key.cow.linux

%:
	dh $@ --with autotools_dev

## netrek-client-cow 3.3.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #  No editables below this point.                                      #
 ########################################################################
 
-include key.mk
+-include key.mk
 
 KEYGOD = clientkeys@clientkeys.netrek.org
 MAIL   = mail
@@ -12,11 +12,6 @@
 PACKAGE=netrek-client-cow
 VERSION=$(shell ./name)
 DVERSION=$(shell head -1 debian/changelog|cut -f2 -d\(|cut -f1 -d\))
-
-DESTDIR=
-prefix=/usr/local
-LIBDIR=${prefix}/share/games/${PACKAGE}
-BINDIR=${prefix}/games
 
 all: netrek-client-cow
 
@@ -47,7 +42,8 @@
 reallyclean: clean
 	rm -f netrek-client-cow randomize mkkey rsa_box*.c name mkcflags \
 	config.h system.mk config.status config.log config.cache key.mail \
-	null netrek.shared lib*
+	null netrek.shared lib* cflags.c key.cow.linux* key.mk \
+	po/Makefile po/Makefile.in
 
 distclean: clean reallyclean
 
@@ -104,7 +100,7 @@
 
 XTREKRC: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) xtrekrc
-	mv xtrekrc XTREKRC	
+	mv xtrekrc XTREKRC
 
 configure: configure.in
 	rm -f configure
@@ -126,15 +122,8 @@
 to_dos: system.mk
 	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) to_dos
 
-install: netrek-client-cow
-	mkdir -p $(DESTDIR)$(BINDIR)
-	install netrek-client-cow $(DESTDIR)$(BINDIR)
-	mkdir -p $(DESTDIR)$(LIBDIR)
-	install $(KEYFILE) $(DESTDIR)$(LIBDIR)
-	mkdir -p $(DESTDIR)/usr/share/pixmaps/netrek-client-cow
-	cp -pr pixmaps/* $(DESTDIR)/usr/share/pixmaps/netrek-client-cow/
-	mkdir -p $(DESTDIR)/usr/share/applications
-	install netrek-client-cow.desktop $(DESTDIR)/usr/share/applications/
+install: system.mk
+	$(MAKE) -f system.mk KEYDEF=$(KEYDEF) install
 
 package:
 	fakeroot dpkg-buildpackage -Igtk -Ipygtk -Ipyqt

=== po/Makefile ===
--- 
+++ 
@@ -145,8 +145,8 @@
 
 # Ensure that the gettext macros and this Makefile.in.in are in sync.
 check-macro-version:
-	@test "$(GETTEXT_MACRO_VERSION)" = "0.17" \
-	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.17" 1>&2; \
+	@test "$(GETTEXT_MACRO_VERSION)" = "0.18" \
+	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.18" 1>&2; \
 	       exit 1; \
 	     }

=== debian/changelog ===
netrek-client-cow (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * Thanks to gregor herrmann for the last NMU.
  * New upstream version 3.3.1. (Closes: #825869)
  * wrap-and-sort -sab.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical VCS-URI.
  * Use compat level 9.
  * Don't export the hardening flags. Just use the defaults.
  * Drop dpkg-dev from Build-Depends.
  * Drop hardening-includes build-dependency. (Closes: #836758)
  * Drop all patches except gcc5.patch which was rebased.
    Everything else was fixed upstream.
  * Export DEB_CFLAGS_MAINT_APPEND=-std=gnu89.
  * Remove chmod command in override for dh_auto_install.
  * Update d/copyright for new release.
  * Drop menu file due to CTTE decision. (Closes: #726845)

 -- Markus Koschany <apo@debian.org>  Fri, 16 Sep 2016 00:08:44 +0200

netrek-client-cow (3.3.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": add patches provided by Thavatchai
    Makphaibulchoke:
    - add -std=gn89 to CFLAGS in debian/rules, a work around to instruct gcc-5
      to use gnu-89 semantics for inline function declarations
    - 006-gcc5.patch: add -P to CPPFLAGS when checking for GMP 2, a work
      around for gcc-5 preprocessor started to emit line markers to properly
      distinguish whether a macro token comes from a system header
    (Closes: #778025)

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Aug 2015 16:54:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,27 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Barry deFreese <bdefreese@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~), hardening-includes, libsdl1.2-dev, libsdl-mixer1.2-dev, libgmp-dev, libxt-dev, libxxf86vm-dev, libimlib2-dev
-Standards-Version: 3.9.2
+Uploaders:
+ Barry deFreese <bdefreese@debian.org>
+Build-Depends:
+ autotools-dev,
+ debhelper (>= 9),
+ libgmp-dev,
+ libimlib2-dev,
+ libsdl-mixer1.2-dev,
+ libsdl1.2-dev,
+ libxt-dev,
+ libxxf86vm-dev
+Standards-Version: 3.9.8
 Homepage: http://www.netrek.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/netrek-client-cow/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/netrek-client-cow/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/netrek-client-cow/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/netrek-client-cow/
 
 Package: netrek-client-cow
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: client for netrek online game
  This is a client for the multi-player game of Netrek.
  .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_CFLAGS_MAINT_APPEND=-std=gnu89

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share/games \
		--with-gmp

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
version=3
http://www.netrek.org/files/COW/netrek-client-cow-([\d.]+)\.tar\.gz

## netrek-client-cow 3.3.2

=== Makefile ===
########################################################################
#  No editables below this point.                                      #
########################################################################

PACKAGE=netrek-client-cow
VERSION=$(shell ./name)
DVERSION=$(shell head -1 debian/changelog|cut -f2 -d\(|cut -f1 -d\))

all: netrek-client-cow

netrek-client-cow: system.mk netrekI

netrekI::
	$(MAKE) -f system.mk netrek-client-cow

netrek.shared: name system.mk
	$(MAKE) -f system.mk S=SHARED netrek.shared

profile:
	$(MAKE) -f system.mk OPT="-ggdb3 -pg -a" EXTRALINKFLAGS="-ggdb3 -pg -a" netrek-client-cow

clean:
	rm -f *.o $(OBJ) $(SHAREDTARGET)

reallyclean: clean
	rm -f netrek-client-cow name mkcflags \
	config.h system.mk config.status config.log config.cache \
	null netrek.shared lib* cflags.c \
	po/Makefile po/Makefile.in

distclean: clean reallyclean

tags: system.mk
	$(MAKE) -f system.mk tags

names: name
	@echo "PACKAGE=$(PACKAGE)"
	@echo "VERSION=$(VERSION)"
	@echo "PACKAGE_VERSION=$(PACKAGE)-$(VERSION)"
	@echo "DEBIAN_PACKAGE_VERSION=$(PACKAGE)-$(DVERSION)"

dist: name
	mkdir $(PACKAGE)-$(VERSION)
	tar cf - `cat manifest` | (cd $(PACKAGE)-$(VERSION);tar xf -)
	tar cvf - $(PACKAGE)-$(VERSION) | gzip -9 > $(PACKAGE)-$(VERSION).tar.gz
	rm -rf $(PACKAGE)-$(VERSION)

distdoc: name XTREKRC
	mkdir $(PACKAGE)-$(VERSION).doc
	tar cf - README.* COW.DOC CHANGES XTREKRC netrekrc.example \
		*.html *.css stars.gif | (cd $(PACKAGE)-$(VERSION).doc; tar xf -)
	tar cvf - $(PACKAGE)-$(VERSION).doc | gzip -9 > $(PACKAGE)-$(VERSION).doc.tar.gz
	rm -rf $(PACKAGE)-$(VERSION).doc

distbin: name netrek-client-cow
	-strip netrek-client-cow
	-rm -f $(PACKAGE)-$(VERSION).$(ARCH)
	cp netrek-client-cow $(PACKAGE)-$(VERSION).$(ARCH)
	-rm -f $(PACKAGE)-$(VERSION).$(ARCH).gz
	gzip -9 $(PACKAGE)-$(VERSION).$(ARCH)

name: name.c version.h patchlevel.h
	$(CC) $(CFLAGS) -o name name.c

depend: system.mk
	$(MAKE) -f system.mk depend

system.mk: Makefile system.mk.in config.h.in configure install.sh
	./configure $(CONFFLAGS)
	$(MAKE) -f system.mk depend

install.sh:
	touch install.sh

XTREKRC: system.mk
	$(MAKE) -f system.mk xtrekrc
	mv xtrekrc XTREKRC

configure: configure.ac
	$(AUTOCONF)

unproto: system.mk
	$(MAKE) -f system.mk unproto

proto: system.mk
	$(MAKE) -f system.mk proto

indent: system.mk
	$(MAKE) -f system.mk indent

to_unix: system.mk
	$(MAKE) -f system.mk to_unix

to_dos: system.mk
	$(MAKE) -f system.mk to_dos

install: system.mk
	$(MAKE) -f system.mk install

package:
	fakeroot dpkg-buildpackage -Igtk -Ipygtk -Ipyqt

# targets specific to quozl
WWW=~/public_html/external/mine/netrek

upload:
	mv ../$(PACKAGE)_$(VERSION)*{.dsc,.changes,.tar.gz,.deb} $(WWW)

update:
	(cd $(WWW);make)

release: package upload update

=== debian/changelog ===
netrek-client-cow (3.3.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:45 +1100

netrek-client-cow (3.3.2-1build1) noble; urgency=high

  * No change rebuild against libimlib2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:22 +0100

netrek-client-cow (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, obsoleting all patches.
  * Drop the explicit autotools-dev configuration, and switch to
    debhelper-compat.
  * Switch to secure URLs.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 May 2020 08:15:21 +0200

netrek-client-cow (3.3.1-4) unstable; urgency=medium

  * Team upload.
  * Build mkkey using the build CC when cross-compiling. Closes: #924291.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Apr 2019 17:34:14 +0200

netrek-client-cow (3.3.1-3) unstable; urgency=medium

  * Team upload.
  * Fix infinite loop patch. Really (Closes: #924291)

 -- Markus Koschany <apo@debian.org>  Sun, 24 Mar 2019 13:31:40 +0100

netrek-client-cow (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Fix possible infinite loop. (Closes: #924291)
  * Move the package to salsa.debian.org.

 -- Markus Koschany <apo@debian.org>  Wed, 20 Mar 2019 21:31:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: netrek-client-cow
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
- libgmp-dev,
+ debhelper-compat (= 9),
  libimlib2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
  libxt-dev,
  libxxf86vm-dev
-Standards-Version: 3.9.8
-Homepage: http://www.netrek.org
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/netrek-client-cow/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/netrek-client-cow/
+Standards-Version: 4.5.0
+Homepage: https://www.netrek.org
+Vcs-Git: https://salsa.debian.org/games-team/netrek-client-cow.git
+Vcs-Browser: https://salsa.debian.org/games-team/netrek-client-cow
+Rules-Requires-Root: no
 
 Package: netrek-client-cow
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_CFLAGS_MAINT_APPEND=-std=gnu89

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share/games

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
version=3
https://www.netrek.org/files/COW/netrek-client-cow-([\d.]+)\.tar\.gz
